Debian Bug report logs - #334317
xterm: interpret action (in translations resource) does nothing

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Cameron Hutchison <camh+db@xdna.net>

Date: Mon, 17 Oct 2005 04:03:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version xterm/6.8.2.dfsg.1-8

Fixed in version xterm/208-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#334317; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Cameron Hutchison <camh+db@xdna.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cameron Hutchison <camh+db@xdna.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: interpret action (in translations resource) does nothing
Date: Mon, 17 Oct 2005 13:57:30 +1000
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 6.8.2.dfsg.1-8
Severity: normal
Tags: patch

The "interpret" action available to the translations resource does not
do anything. It is meant to insert text into the input buffer as though
the user typed that text.

This used to work and broke a few months back. At that point, it looks
like the pty buffer handling changed (buffer size specified as a
resource) but the HandleInterpret function was not updated to work with
the dynamic buffering.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.2-ch1-imladris-2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages xterm depends on:
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libexpat1                 1.95.8-3       XML parsing C library - runtime li
ii  libfontconfig1            2.3.2-1        generic font configuration library
ii  libfreetype6              2.1.10-1       FreeType 2 font engine, shared lib
ii  libice6                   6.8.2.dfsg.1-8 Inter-Client Exchange library
ii  libncurses5               5.4-9          Shared libraries for terminal hand
ii  libsm6                    6.8.2.dfsg.1-8 X Window System Session Management
ii  libxaw8                   6.8.2.dfsg.1-8 X Athena widget set library
ii  libxext6                  6.8.2.dfsg.1-8 X Window System miscellaneous exte
ii  libxft2                   2.1.7-1        FreeType-based font drawing librar
ii  libxmu6                   6.8.2.dfsg.1-8 X Window System miscellaneous util
ii  libxp6                    6.8.2.dfsg.1-8 X Window System printing extension
ii  libxpm4                   6.8.2.dfsg.1-8 X pixmap library
ii  libxrender1               1:0.9.0-2      X Rendering Extension client libra
ii  libxt6                    6.8.2.dfsg.1-8 X Toolkit Intrinsics
ii  xlibs                     6.8.2.dfsg.1-8 X Window System client libraries m
ii  xlibs-data                6.8.2.dfsg.1-8 X Window System client data

Versions of packages xterm recommends:
ii  xutils                    6.8.2.dfsg.1-8 X Window System utility programs

-- no debconf information
[xterm.patch (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#334317; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 334317@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 334317@bugs.debian.org
Subject: re: #334317 xterm: interpret action (in translations resource) does nothing
Date: Sun, 13 Nov 2005 18:30:46 -0500
[Message part 1 (text/plain, inline)]
This is fixed in xterm patch #206.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#334317; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 334317@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: 334317@bugs.debian.org
Subject: Re: Bug#334317: #334317 xterm: interpret action (in translations resource) does nothing
Date: Sun, 13 Nov 2005 19:00:48 -0500
On Sun, Nov 13, 2005 at 06:30:46PM -0500, Thomas Dickey wrote:
> This is fixed in xterm patch #206.

Ok, since ender appears to be busy, I'll put your newest stuff in the repo
tonight and probably upload to experimental as well.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#334317; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to David Martínez Moreno <ender@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 334317@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: David Nusinow <dnusinow@debian.org>, 334317@bugs.debian.org
Cc: debian-x@lists.debian.org
Subject: Re: Bug#334317: #334317 xterm: interpret action (in translations resource) does nothing
Date: Mon, 14 Nov 2005 18:25:11 +0100
[Message part 1 (text/plain, inline)]
El lunes, 14 de noviembre de 2005 01:00, David Nusinow escribió:
> On Sun, Nov 13, 2005 at 06:30:46PM -0500, Thomas Dickey wrote:
> > This is fixed in xterm patch #206.
>
> Ok, since ender appears to be busy, I'll put your newest stuff in the repo
> tonight and probably upload to experimental as well.

	No, do not worry. I am slowly going into life again. My other packages needed 
attention, so I am quieter than usual.

	Given that the upload of 6.9 was delayed, I do not worried about updating 
xterm to #205. I did not know that Thomas released two additional patchsets.

	Thomas, could be possible that you send a mail to debian-x when you release a 
new version?

	I will update xterm tonight with the latest patchset and will upload to 
experimental.

	Best regards,


		Ender.
-- 
I'm packing your extra pair of shoes and your ANGRY eyes!
		-- Mrs. Potato to Mr. Potato (Toy Story 2).
--
Desarrollador de Debian
Debian developer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#334317; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 334317@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: David Martínez Moreno <ender@debian.org>, 334317@bugs.debian.org
Subject: Re: Bug#334317: #334317 xterm: interpret action (in translations resource) does nothing
Date: Tue, 15 Nov 2005 06:25:27 -0500
[Message part 1 (text/plain, inline)]
On Mon, Nov 14, 2005 at 06:50:35PM +0100, David Martínez Moreno wrote:
> Thomas, could be possible that you send a mail to debian-x when you release a
> new version?

I'll add that to the mail-alias I use.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Cameron Hutchison <camh+db@xdna.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 334317-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 334317-close@bugs.debian.org
Subject: Bug#334317: fixed in xterm 208-1
Date: Thu, 05 Jan 2006 21:32:06 -0800
Source: xterm
Source-Version: 208-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_208-1.diff.gz
  to pool/main/x/xterm/xterm_208-1.diff.gz
xterm_208-1.dsc
  to pool/main/x/xterm/xterm_208-1.dsc
xterm_208-1_i386.deb
  to pool/main/x/xterm/xterm_208-1_i386.deb
xterm_208.orig.tar.gz
  to pool/main/x/xterm/xterm_208.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 334317@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Jan 2006 23:19:35 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 208-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 289123 319179 334317
Changes: 
 xterm (208-1) unstable; urgency=low
 .
   * New upstream release (patchlevel #208). Main changes follow:
     - Implement logic in termcap query to process multiple parameters as
       documented in ctlseqs.ms
     - Fix buffer size used for termcap query, which was not long enough for
       the terminfo "colors" name.
     - Add menu entry (alt-esc) and corresponding action (alt-sends-esc) to
       toggle the eightBitInput resource setting.
     - Modify computation of rows/columns on resize to avoid extending beyond
       the given limits, e.g., if resizing in response to a "maximize" in
       Gnome or KDE which do not use the window manager hints for this case
       (closes: #289123).
     - Improve error-reporting when chown/chmod of the pseudo-terminal fails.
     - Several changes in the control sequences.
     - Improvements in the configure script.
     - Eliminate a retry for a better-matching bold font, to work around
       recent font server changes.
     - Specify weight for wide font which may be derived from normal
       fontname.
     - Cache the derived wide- and widebolt- fontnames.
     - Modify resource files to make the font-resources a little more specific,
       e.g., changing "*VT100*" to "*VT100.", to make the distinction between
       VT100.font and VT100.utf8Fonts.font sharper, in case a packager modifies
       one of those.
     - Expanded comments in UXTerm.ad regarding the font resources (closes:
       #319179).
     - Add --enable-narrowproto configure option to accommodate Xorg "modular"
       build.
     - Add scrollBarBorder resource.
     - Fix a file-descriptor leak when calling openpty().
     - A hard reset also resets the 132/80 mode.
     - Restore window manager hints after XtMakeResizeRequest() calls.
     - Scroll-down is allowed to be sent while mouse tracking is enabled.
     - Correct size-comparison in HandleInterpret() broken in changes from
       patch #201 to allocate input buffer (closes: #334317).
     - Upstream merged Debian patches 001 and 002 for typos in xterm.
     - Added setuid options.
     - add charClass resource to XTerm.ad and UXTerm.ad which simplifies
       selecting URLs
     - make -iconic option work with toolbar configuration
     - fix memory reallocation for the "UTF-8" menu entry when xterm is started
       using the +u8 option
   * Debian patches 900 and 901 resynced.
Files: 
 9eb8c15b6e40cfcf18f249891789d97d 767 x11 optional xterm_208-1.dsc
 a062d0b398918015d07c31ecdcc5111a 749755 x11 optional xterm_208.orig.tar.gz
 adffc682f818b433839238bca8436ea6 60016 x11 optional xterm_208-1.diff.gz
 4f616171653be730e4901b9c8264f78d 376454 x11 optional xterm_208-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDvf/IyLfpNdY0ad8RAsinAJ9b/QTa32JUwqGvUbxOmFYxlL4s0gCggrVj
QY4HfRgs4OcV8TIFIhpSSRc=
=atJH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 18:06:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:10:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.